<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:f="http://xmlns.jcp.org/jsf/core"
	xmlns:b="http://bootsfaces.net/ui">
<h:head>
	<title>CMS - 2.0</title>
	<link rel="stylesheet" href="bootstrap-4.3.1/css/bootstrap.min.css" ></link>
	<style>
		body {
			background-color: #f5f5f5 !important;
		}
		.ble {
			background-color: #dad8d8 !important;
		}
	</style>
</h:head>
<h:body>
	<b:navBar brand="AdoroFilmes" brandHref="#" id="dropMenuExample" contentDisabled="#{navBarBean.navBarDisabled}" inverse="true">
	  <b:navbarLinks contentDisabled="#{navBarBean.navBarLinksDisabled}">
	    <b:navLink value="Trailers" href="#"></b:navLink>
	    <b:navLink value="Sinopses" href="#"></b:navLink>
	    <b:navLink value="Em cartaz" href="#"></b:navLink>
	    <b:dropMenu value="Opções" contentDisabled="#{navBarBean.dropMenuDisabled}">
	      <b:navLink header="Usuário"></b:navLink>
	      <b:navLink><a href="#cadastro" data-toggle="modal">Cadastro</a></b:navLink>
	      <b:navLink><a href="#login" data-toggle="modal">Login</a></b:navLink>
	    </b:dropMenu>
	  </b:navbarLinks>
	</b:navBar>
	
	<!-- Modal Cadastro -->
	<b:modal id="cadastro" title="Cadastro de Usuário" styleClass="modalPseudoClass">
	  <b:form horizontal="true" class="bla">
		  <b:inputText value="#{UserBean.nome}" name="nome" id="nome" placeholder="Digite seu nome" required="true" label="Nome" colMd="10" labelColMd="2">
		    <f:facet name="prepend">
		      <b:icon name="user" />
		    </f:facet>
		  </b:inputText>
		  
		  <b:inputText value="#{UserBean.email}" name="email" id="email" placeholder="Digite seu E-mail" required="true" label="E-mail" colMd="10" labelColMd="2">
		    <f:facet name="prepend">
		      <b:icon name="envelope" />
		    </f:facet>
		  </b:inputText>
		 
		  <b:inputSecret value="#{UserBean.senha}" name="senha" id="senha" placeholder="Digite sua senha" required="true" label="Senha" colMd="10" labelColMd="2">
		    <f:facet name="prepend">
		      <b:iconAwesome name="key" />
		    </f:facet>
		  </b:inputSecret>
		  
		  <b:commandButton action="#{UserBean.add}" look="primary" large-screen="full-width" value="Cadastrar" size="lg"/>
		  <br /><br />
		</b:form>
	  <f:facet name="footer">
	    <b:button value="Fechar" dismiss="modal" />
	    <b:button value="Ok" look="primary" dismiss="modal" />
	  </f:facet>
	</b:modal>
	
	<!-- Modal Login -->
	<b:modal id="login" title="Login de Usuário" styleClass="modalPseudoClass">
	  <b:form horizontal="true">
		  <b:inputText placeholder="Digite seu E-mail" required="true" label="E-mail" colMd="10" labelColMd="2">
		    <f:facet name="prepend">
		      <b:icon name="envelope" />
		    </f:facet>
		  </b:inputText>
		  
		  <b:inputSecret placeholder="Digite sua senha" required="true" label="Senha" colMd="10" labelColMd="2">
		    <f:facet name="prepend">
		      <b:iconAwesome name="key" />
		    </f:facet>
		  </b:inputSecret>
		  
		  <b:commandButton look="primary" large-screen="full-width" value="Entrar" size="lg"/>
		  <br /><br />
		</b:form>
	  <f:facet name="footer">
	    <b:button value="Fechar" dismiss="modal" />
	    <b:button value="Ok" look="primary" dismiss="modal" />
	  </f:facet>
	</b:modal>
	<b:container>
	
	<center><h2>Lista de usuários</h2></center>
		<!-- Tabela personalisada com Usuários -->
		<b:dataTable value="#{UserBean.lista}" var="usuario" border="1">
			<b:column><f:facet name="header">Id</f:facet>#{usuario.id}</b:column>
			<b:column><f:facet name="header">Nome</f:facet>#{usuario.nome}</b:column>
			<b:column><f:facet name="header">E-mail</f:facet>#{usuario.email}</b:column>
			<b:column><f:facet name="header">Senha</f:facet>#{usuario.senha}</b:column>
			<b:column><f:facet name="header">Editar</f:facet><a href="editarUser.xhtml?id=#{usuario.id}">Editar</a></b:column>
			<b:column><f:facet name="header">Remover</f:facet>
				<h:form>
					<h:commandLink  value="Deletar" action="#{UserBean.deletar(usuario.id)}" />
				</h:form>
			</b:column>
		</b:dataTable>
		
		<footer>
	    	<p>© Adoro Filmes</p><br />
	    </footer>
	</b:container>
	
</h:body>
</html>
